#include<cdefbf527.h>
#include<stdio.h>
#include<sysreg.h>
#include<ccblkfn.h>
#include <sys\exception.h>

//function declarations

void Init_PLL(void);
void Fill_Slave_Buffer(void);
void GP_PORT_Config(void);
void Init_Interrupts(void);
void Host_Config(void);
 
EX_INTERRUPT_HANDLER(HOSTDP_ISR);


/*
PLL Configuration 
-----------------
CLKIN on EZ-Kit is 25MHz. This value gives CCLK = 500MHz and SCLK = 100MHz.
*/


#define MSELECT ( 20 << 9 )		// Ensure that CLKIN*MSELECT = VCO Max.		
#define CSELECT ( 0  << 4 )		// Valid CSEL Values: 1,2,4,8
#define SSELECT ( 5 )			// Valid SSEL Values: 1-15




//HOSTDP configuration

#define Transfer_Size 32
//#define HOST_READ

section ("L1_data_a") char Slave_Buffer[Transfer_Size];

unsigned short i, ISR_Count; 
